Subject: Re: Multicast and receive filtering in TUN/TAP

From: Rusty Russell <[email-masked]>
Date: Fri, 11 Jul 2008 17:01:38 +1000

On Friday 11 July 2008 12:20:07 Max Krasnyansky wrote:
> >> I haven't looked at the virtio stuff much, I was assuming that the host
> >> side of it is still the TUN driver. Is it not ?
> >
> > Yes, the host side is still tun/tap. The problem is that qemu doesnt know
> > which multicast addresses are used inside the guest.
>
> Ah, now I see what you meant by virtio_net does not do multicast. I guess
> it should trivial to add. Rusty will clarify it I guess.

Yes, it could certainly be added; that's what feature bits are for :)

Cheers,
Rusty.